tidy.binDesign {broom} | R Documentation

## Tidy a(n) binDesign object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'binDesign'
    tidy(x, ...)

### Arguments

`x` | A `binGroup::binDesign()` object.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A one-row tibble::tibble with columns:

`n` | Number of trials in given iteration.
`power` | Power achieved for given value of n.

### See Also

`tidy()`, `binGroup::binDesign()`

Other bingroup tidiers: `glance.binDesign`, `tidy.binWidth`

### Examples

    if (require("binGroup", quietly = TRUE)) {
        des <- binDesign(nmax = 300, delta = 0.06,
                         p.hyp = 0.1, power = .8)

        glance(des)
        tidy(des)

        # the ggplot2 equivalent of plot(des)
        library(ggplot2)
        ggplot(tidy(des), aes(n, power)) +
            geom_line()
    }

[Package broom version 0.5.2 Index]